Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class ApplicationHolder

    java.lang.Object
      org.codehaus.groovy.grails.commons.ApplicationHolder

    public abstract class ApplicationHolder

Static singleton holder for the GrailsApplication instance.

Authors:
  Marc Palmer (marc@anyware.co.uk)

Method Summary
`static GrailsApplication` | `getApplication()`
`static void` | `setApplication(GrailsApplication application)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getApplication

    public static GrailsApplication getApplication()

### setApplication

    public static void setApplication(GrailsApplication application)

Groovy Documentation